public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Viorel Munteanu" <ceamac@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/linode-cli/
Date: Fri, 22 Nov 2024 05:30:47 +0000 (UTC)	[thread overview]
Message-ID: <1732253330.448264aa806e19d9382ce154b3236e0b4b9a7224.ceamac@gentoo> (raw)

commit:     448264aa806e19d9382ce154b3236e0b4b9a7224
Author:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 22 05:28:50 2024 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Fri Nov 22 05:28:50 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=448264aa

app-admin/linode-cli: add 5.55.0

Signed-off-by: Viorel Munteanu <ceamac <AT> gentoo.org>

 app-admin/linode-cli/Manifest                 |  1 +
 app-admin/linode-cli/linode-cli-5.55.0.ebuild | 45 +++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/app-admin/linode-cli/Manifest b/app-admin/linode-cli/Manifest
index bcc5a5c6177d..77d68ba3f635 100644
--- a/app-admin/linode-cli/Manifest
+++ b/app-admin/linode-cli/Manifest
@@ -1,3 +1,4 @@
 DIST linode_cli-5.52.0.tar.gz 160729 BLAKE2B dc0a4c30dcaab3c07c64aa519786f461a79e6f532ebfcc9917e6654b6a8bd32b2cfa2f323036d3870555b7b91620121264877a0fbae4b1bc2a71e885558bb261 SHA512 26c774e0936e16f391c5b028ffc91370d6401e85e92f08ce2e3b2435be3a8230d0d8edd3904ff0514c76b135a3ff88fae27e5e452d0aae534b0deb6f9fc8a2ff
 DIST linode_cli-5.53.1.tar.gz 154260 BLAKE2B c2c9d00f0686bcd4d083974c7c2e167963a6af2d04c244c854937e2301de6df62cf82d872aa53f01150bb657895bccedba1df2ce4d6d091ce27c7abd599d2250 SHA512 ea7b8cf42f041deca2e745d4e8113beb2c46a3a79e5a56b57a24379581eca793e2f3e0d0b5821e3644450eb4da207c3884098ad33e9ec62775657a625ed4a849
 DIST linode_cli-5.54.0.tar.gz 153961 BLAKE2B ae147c7c29532d53e8230e8374acb5727791f07f3177720637d7b23d1169821b2a65975b6e22f45bb53f69d241525ecb081a18f854d3d904da9de406f27f146f SHA512 7cad0e899ebced5c27923f4b8ea6fc4c854f90f7925ff5e8e010565ec51f20c75976a0efacfebceb78c4befa0e64ea0a2c896bb82f541903413fe96c8b0c68e1
+DIST linode_cli-5.55.0.tar.gz 159746 BLAKE2B 1ef914ec316bebb40961f075c528d8311c21030bcc643e45e18e187cce8d52f2a79629be7482778e5f0061c3db143685b5899e7e0c563f0565bbad3390dc3783 SHA512 37b88fbdbc66a6057a3b50379928d7f0547136aa8d068109b2dd3d2c6969698598a26c84b1f7494952795dc52a7ab05e2240680d86e88c85007df1e53445052d

diff --git a/app-admin/linode-cli/linode-cli-5.55.0.ebuild b/app-admin/linode-cli/linode-cli-5.55.0.ebuild
new file mode 100644
index 000000000000..21d1ca44d811
--- /dev/null
+++ b/app-admin/linode-cli/linode-cli-5.55.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1 pypi shell-completion
+
+DESCRIPTION="Official command-line interface for interacting with the Linode API"
+HOMEPAGE="https://github.com/linode/linode-cli https://www.linode.com/"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+# Tests require network, a linode account and an API key.
+# WARNING: tests will incur costs and will wipe the account.
+RESTRICT="test"
+
+RDEPEND="
+	dev-python/boto3[${PYTHON_USEDEP}]
+	>=dev-python/linode-metadata-0.3[${PYTHON_USEDEP}]
+	dev-python/openapi3[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/rich[${PYTHON_USEDEP}]
+	<dev-python/urllib3-3[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	PYTHONPATH=. ${EPYTHON} linodecli completion bash > "${T}/${PN}".bash || die
+	PYTHONPATH=. ${EPYTHON} linodecli completion fish > "${T}/${PN}".fish || die
+
+	newbashcomp "${T}/${PN}".bash ${PN}
+	newfishcomp "${T}/${PN}".fish ${PN}
+
+	dosym ${PN} "$(get_bashcompdir)"/linode
+	dosym ${PN} "$(get_bashcompdir)"/lin
+	dosym ${PN} "$(get_fishcompdir)"/linode
+	dosym ${PN} "$(get_fishcompdir)"/lin
+}


             reply	other threads:[~2024-11-22  5:30 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-22  5:30 Viorel Munteanu [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-27 17:30 [gentoo-commits] repo/gentoo:master commit in: app-admin/linode-cli/ Viorel Munteanu
2025-02-24  8:16 Arthur Zamarin
2025-02-10 16:26 Viorel Munteanu
2025-02-10 16:26 Viorel Munteanu
2025-02-10 16:26 Viorel Munteanu
2025-02-10 16:26 Viorel Munteanu
2025-01-31  7:51 Viorel Munteanu
2025-01-08 14:15 Viorel Munteanu
2024-11-22  5:30 Viorel Munteanu
2024-10-31  5:53 Viorel Munteanu
2024-10-25  4:31 Viorel Munteanu
2024-10-25  4:31 Viorel Munteanu
2024-10-23 19:27 Viorel Munteanu
2024-10-23 19:27 Viorel Munteanu
2024-10-02  4:36 Viorel Munteanu
2024-08-14  4:47 Viorel Munteanu
2024-06-22 19:05 Maciej Barć
2024-06-22 19:05 Maciej Barć
2024-06-04 17:13 Viorel Munteanu
2024-05-03  7:05 Viorel Munteanu
2024-05-02  8:01 Viorel Munteanu
2024-05-02  7:48 Viorel Munteanu
2024-05-02  7:48 Viorel Munteanu
2024-05-02  7:48 Viorel Munteanu
2024-04-17 19:56 Viorel Munteanu
2024-03-06  5:58 Viorel Munteanu
2024-03-06  5:58 Viorel Munteanu
2024-02-06  6:03 Viorel Munteanu
2024-02-06  6:03 Viorel Munteanu
2024-02-06  6:03 Viorel Munteanu
2024-01-17  6:19 Viorel Munteanu
2024-01-17  6:19 Viorel Munteanu
2024-01-10 17:47 Viorel Munteanu
2024-01-10  6:12 Viorel Munteanu
2023-12-20 18:04 Viorel Munteanu
2023-12-20 18:04 Viorel Munteanu
2023-12-20  5:33 Viorel Munteanu
2023-12-20  5:33 Viorel Munteanu
2023-12-12  6:13 Viorel Munteanu
2023-12-01 15:22 Viorel Munteanu

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732253330.448264aa806e19d9382ce154b3236e0b4b9a7224.ceamac@gentoo \
    --to=ceamac@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox